<template>
  <div class="question">
    <el-input
        v-model="questionInput"
        :style="{ width: '320px', height: '32px' }"
        placeholder="Question input"
        clearable
    />
  </div>

  <div class="answer-input-container" style="margin-top: 100px;">
    <div class="grid-item">
      <el-input
          v-model="answerInput1"
          style="width: 240px"
          placeholder="Answer #1"
          clearable
      />
      <el-switch
          v-model="value1"
          class="ml-2"
          style="--el-switch-on-color: #13ce66; --el-switch-off-color: #ff4949"
      />
      <el-radio v-model="radio" value="1" size="large">Correct</el-radio>
    </div>

    <div class="grid-item">
      <el-input
          v-model="answerInput2"
          style="width: 240px"
          placeholder="Answer #2"
          clearable
      />
      <el-switch
          v-model="value2"
          class="ml-2"
          style="--el-switch-on-color: #13ce66; --el-switch-off-color: #ff4949"
      />
      <el-radio v-model="radio" value="2" size="large">Correct</el-radio>
    </div>

    <div class="grid-item">
      <el-input
          v-model="answerInput3"
          style="width: 240px"
          placeholder="Answer #3"
          clearable
      />
      <el-switch
          v-model="value3"
          class="ml-2"
          style="--el-switch-on-color: #13ce66; --el-switch-off-color: #ff4949"
      />
      <el-radio v-model="radio" value="3" size="large">Correct</el-radio>
    </div>

    <div class="grid-item">
      <el-input
          v-model="answerInput4"
          style="width: 240px"
          placeholder="Answer #4"
          clearable
      />
      <el-switch
          v-model="value4"
          class="ml-2"
          style="--el-switch-on-color: #13ce66; --el-switch-off-color: #ff4949"
      />
      <el-radio v-model="radio" value="4" size="large">Correct</el-radio>
    </div>

    <el-button type="success" style="width: 240px" @click="saveQuestion">Save Question</el-button>
  </div>
</template>

<style scoped>
.answer-input-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
}

.grid-item {
  display: grid;
  grid-template-rows: repeat(2, .1fr);
}

.el-input {
  font-size: 18px;
  width: 240px;
  height: 80px;
}
</style>

<script setup>
import { ref } from 'vue'
import router from "@/router/router.js";

const value1 = ref(false)
const value2 = ref(false)
const value3 = ref(false)
const value4 = ref(false)

const questionInput = ref('')
const answerInput1 = ref('')
const answerInput2 = ref('')
const answerInput3 = ref('')
const answerInput4 = ref('')

const radio = ref('1')

function saveQuestion() {
  // TODO Save question
  router.push('/');
}
</script>